
package com.house365.ws.dao.mapper;

import com.house365.beans.entity.CustomerEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author
 */
@Repository
public interface CustomerMergeMapper {

    void deleteCustomerMergeById(Map<String, Object> idMap);

    CustomerEntity queryById(int id);

    CustomerEntity getCustomerMerge(Map<String, Object> map);

    CustomerEntity getCustomerMergeById(Map<String, Object> map);

    CustomerEntity getMergeCustomerId(Map<String, Object> map);

    List<CustomerEntity> getCustomerMergeList(Map<String, Object> map);

    List<CustomerEntity> getCustomerList(Map<String, Object> map);

    void saveCustomerMerge(CustomerEntity customerEntity);

    void updateCustomerMerge(CustomerEntity customerEntity);

    void updateCustomerMerge2(CustomerEntity customerEntity);

    void updateCustomerMerge4AddCall(CustomerEntity customerEntity);

    void updateCustomerStar(Map<String, Object> map);

    void update(Map<String, Object> map);

    void clearCustomerMerge(Map<String, Object> map);

    void clearCustomerMerge2(CustomerEntity c);

    List<CustomerEntity> queryByConditions(Map<String, Object> map);

    void deleteCustomerMergeByManager(Map<String, Object> map);

    void updatePeer(Map<String, Object> map);

    void deleteSingleCustomerMerge(CustomerEntity customerEntity);

    void deleteSingleCustomerMerge2(CustomerEntity customerEntity);

    void updateActiveStatus(Map<String, Object> map);

    List<CustomerEntity> queryManagerByPhone(Map<String, Object> map);

    List<CustomerEntity> getCustomerManagementList4Label(Map<String, Object> map);

    Integer getCustomerManagementList4LabelCount(Map<String,Object> map);

    Integer getCityPeriod(String cityCode);

    List<CustomerEntity> queryForAddHot(Map<String, Object> map);

    int queryCount (Map<String, Object> map);

    Integer countCustomer(Map<String, Object> map);

    Integer countCustomer2(Map<String, Object> map);

    Integer countCustomer3(Map<String, Object> map);

    Integer countCustomer4(Map<String, Object> map);

    List<CustomerEntity> getAllCustomer(Map<String, Object> map);

    List<CustomerEntity> getAllCustomer2(Map<String, Object> map);

    List<CustomerEntity> getAllCustomer3(Map<String, Object> map);

    List<CustomerEntity> getAllCustomer4(Map<String, Object> map);

    List<CustomerEntity> getExistByPhone(Map<String, Object> map);
}

